MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002800VCMIMechanics - Battlespublic2017-10-01 23:532018-02-08 09:07
ReporterNephretes 
Assigned ToAVS 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSOS Version10
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0002800: Hypnotized shooting unit freeze game after shooting
DescriptionSpell Hypnotize is not working correctly for shooting units. Once your hypnotized shooting unit try to shoot enemy, you can't do anything afterwards, however game doesn't crash.
Steps To Reproduce1) Hypnotize shooting unit
2) Shoot any other unit at enemy side with creature you have hypnotized
3) Game doesn't crash, but you can't do anything
Additional InformationIt works fine for hypnotized non-shooting creatures.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007389)
SXX (administrator)
2018-01-29 13:21

Seems like related to the problems I seen with hypnotize:
https://github.com/vcmi/vcmi/pull/359 [^]
(0007395)
AVS (administrator)
2018-02-08 09:07

Not reproducible after https://github.com/vcmi/vcmi/pull/359 [^]

- Issue History
Date Modified Username Field Change
2017-10-01 23:53 Nephretes New Issue
2018-01-29 13:20 SXX Assigned To => AVS
2018-01-29 13:20 SXX Status new => assigned
2018-01-29 13:21 SXX Note Added: 0007389
2018-02-08 09:07 AVS Note Added: 0007395
2018-02-08 09:07 AVS Status assigned => resolved
2018-02-08 09:07 AVS Fixed in Version => 0.next
2018-02-08 09:07 AVS Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean